Find the answer to your Linux question:
Results 1 to 1 of 1
Today I start my system after rebooting and I dont have any sound. when I press my little icon on the bottom I get this: "The volume control did not ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Engineer RobinVossen's Avatar
    Join Date
    Aug 2007
    Location
    The Netherlands
    Posts
    1,429

    [SOLVED] No Sound after Kernel Update


    Today I start my system after rebooting and I dont have any sound.
    when I press my little icon on the bottom I get this:

    "The volume control did not find any elements and/or devices to control. This means either that you don't have the right GStreamer plugins installed, or that you don't have a sound card configured.

    You can remove the volume control from the panel by right-clicking the speaker icon on the panel and selecting "Remove From Panel" from the menu"


    I tried to downgrade my kernel and my gsteamer no luck.
    Upgraded back blah it doesn't work it kinda pisses me off...

    So well here are some logs:
    [2009-11-01 11:11] synchronizing package lists
    [2009-11-01 11:11] starting full system upgrade
    [2009-11-01 11:12] starting full system upgrade
    [2009-11-01 11:23] removed gnome-mount (0.8-1)
    [2009-11-01 11:23] upgraded libgsf (1.14.15-1 -> 1.14.16-1)
    [2009-11-01 11:23] upgraded libgsf-gnome (1.14.15-1 -> 1.14.16-1)
    [2009-11-01 11:23] upgraded abiword (2.6.8-2 -> 2.8.1-1)
    [2009-11-01 11:23] upgraded kernel-headers (2.6.30.5-1 -> 2.6.31.4-2)
    [2009-11-01 11:23] Generating locales...
    [2009-11-01 11:23] en_US.UTF-8... done
    [2009-11-01 11:23] en_US.ISO-8859-1... done
    [2009-11-01 11:23] Generation complete.
    [2009-11-01 11:23] upgraded glibc (2.10.1-4 -> 2.10.1-5)
    [2009-11-01 11:23] upgraded attr (2.4.43-1 -> 2.4.44-1)
    [2009-11-01 11:23] upgraded acl (2.2.47-2 -> 2.2.48-1)
    [2009-11-01 11:23] upgraded binutils (2.19.1-5 -> 2.20-1)
    [2009-11-01 11:23] upgraded libx11 (1.2.2-1 -> 1.3.2-1)
    [2009-11-01 11:23] upgraded xextproto (7.0.5-1 -> 7.1.1-1)
    [2009-11-01 11:23] upgraded libxext (1.0.5-2 -> 1.1.1-1)
    [2009-11-01 11:23] upgraded libxt (1.0.6-1 -> 1.0.7-1)
    [2009-11-01 11:23] upgraded libxmu (1.0.4-2 -> 1.0.5-1)
    [2009-11-01 11:23] upgraded libxpm (3.5.7-2 -> 3.5.8-1)
    [2009-11-01 11:23] upgraded libxaw (1.0.6-1 -> 1.0.7-1)
    [2009-11-01 11:23] upgraded inputproto (1.5.1-2 -> 2.0-1)
    [2009-11-01 11:23] upgraded libxi (1.2.1-1 -> 1.3-1)
    [2009-11-01 11:23] upgraded libxtst (1.0.3-2 -> 1.1.0-1)
    [2009-11-01 11:23] upgraded python (2.6.3-2 -> 2.6.4-1)
    [2009-11-01 11:23] upgraded brltty (4.0-3 -> 4.1-1)
    [2009-11-01 11:23] upgraded dbus-glib (0.82-1 -> 0.82-2)
    [2009-11-01 11:23] upgraded gstreamer0.10 (0.10.24-1 -> 0.10.25-1)
    [2009-11-01 11:23] upgraded libxv (1.0.4-1 -> 1.0.5-1)
    [2009-11-01 11:23] upgraded gstreamer0.10-base (0.10.24-1 -> 0.10.25-1)
    [2009-11-01 11:23] upgraded libtheora (1.0-1 -> 1.1.0-1)
    [2009-11-01 11:23] upgraded gstreamer0.10-base-plugins (0.10.24-1 -> 0.10.25-1)
    [2009-11-01 11:23] upgraded gstreamer0.10-python (0.10.16-1 -> 0.10.17-1)
    [2009-11-01 11:23] upgraded exaile (0.3.0.1-2 -> 0.3.0.1-3)
    [2009-11-01 11:23] upgraded gcc-libs (4.4.1-1 -> 4.4.2-2)
    [2009-11-01 11:23] upgraded xulrunner (1.9.1.3-2 -> 1.9.1.4-1)
    [2009-11-01 11:23] upgraded firefox (3.5.3-1 -> 3.5.4-1)
    [2009-11-01 11:23] upgraded fixesproto (4.0-3 -> 4.1.1-1)
    [2009-11-01 11:23] upgraded gcc (4.4.1-1 -> 4.4.2-2)
    [2009-11-01 11:23] upgraded gnome-disk-utility (2.28.0-1 -> 2.28.0-2)
    [2009-11-01 11:23] upgraded gnome-games (2.28.1-1 -> 2.28.1-2)
    [2009-11-01 11:23] upgraded gnutls (2.8.3-1 -> 2.8.4-1)
    [2009-11-01 11:23] upgraded gstreamer0.10-ffmpeg (0.10.8-1 -> 0.10.9-1)
    [2009-11-01 11:23] upgraded module-init-tools (3.10-2 -> 3.11.1-1)
    [2009-11-01 11:23] >>> Updating module dependencies. Please wait ...
    [2009-11-01 11:24] >>> MKINITCPIO SETUP
    [2009-11-01 11:24] >>> ----------------
    [2009-11-01 11:24] >>> If you use LVM2, Encrypted root or software RAID,
    [2009-11-01 11:24] >>> Ensure you enable support in /etc/mkinitcpio.conf .
    [2009-11-01 11:24] >>> More information about mkinitcpio setup can be found here:
    [2009-11-01 11:24] >>> Configuring mkinitcpio - ArchWiki
    [2009-11-01 11:24]
    [2009-11-01 11:24] >>> Generating initial ramdisk, using mkinitcpio. Please wait...
    [2009-11-01 11:24] ==> Building image "default"
    [2009-11-01 11:24] ==> Running command: /sbin/mkinitcpio -k 2.6.31-ARCH -c /etc/mkinitcpio.conf -g /boot/kernel26.img
    [2009-11-01 11:24] :: Begin build
    [2009-11-01 11:24] :: Parsing hook [base]
    [2009-11-01 11:24] :: Parsing hook [udev]
    [2009-11-01 11:24] :: Parsing hook [autodetect]
    [2009-11-01 11:24] :: Parsing hook [pata]
    [2009-11-01 11:24] :: Parsing hook [scsi]
    [2009-11-01 11:24] :: Parsing hook [sata]
    [2009-11-01 11:24] :: Parsing hook [filesystems]
    [2009-11-01 11:24] :: Generating module dependencies
    [2009-11-01 11:24] :: Generating image '/boot/kernel26.img'...SUCCESS
    [2009-11-01 11:24] ==> SUCCESS
    [2009-11-01 11:24] ==> Building image "fallback"
    [2009-11-01 11:24] ==> Running command: /sbin/mkinitcpio -k 2.6.31-ARCH -c /etc/mkinitcpio.conf -g /boot/kernel26-fallback.img -S autodetect
    [2009-11-01 11:24] :: Begin build
    [2009-11-01 11:24] :: Parsing hook [base]
    [2009-11-01 11:24] :: Parsing hook [udev]
    [2009-11-01 11:24] :: Parsing hook [pata]
    [2009-11-01 11:24] :: Parsing hook [scsi]
    [2009-11-01 11:24] :: Parsing hook [sata]
    [2009-11-01 11:24] :: Parsing hook [filesystems]
    [2009-11-01 11:25] :: Generating module dependencies
    [2009-11-01 11:25] :: Generating image '/boot/kernel26-fallback.img'...SUCCESS
    [2009-11-01 11:25] ==> SUCCESS
    [2009-11-01 11:25] upgraded kernel26 (2.6.31.4-1 -> 2.6.31.5-1)
    [2009-11-01 11:25] upgraded libatasmart (0.16-1 -> 0.17-1)
    [2009-11-01 11:25] upgraded libdmx (1.0.99.1-1 -> 1.1.0-1)
    [2009-11-01 11:25] upgraded libdrm (2.4.13-1 -> 2.4.15-1)
    [2009-11-01 11:25] upgraded libfetch (2.25-1 -> 2.26-1)
    [2009-11-01 11:25] upgraded libgksu (2.0.8-1 -> 2.0.12-1)
    [2009-11-01 11:25] upgraded libgphoto2 (2.4.6-3 -> 2.4.7-1)
    [2009-11-01 11:25] upgraded libmpcdec (1.2.6-1 -> 1.2.6-2)
    [2009-11-01 11:25] upgraded libsexy (0.1.11-1 -> 0.1.11-2)
    [2009-11-01 11:25] upgraded libxfixes (4.0.3-2 -> 4.0.4-1)
    [2009-11-01 11:25] upgraded libxcomposite (0.4.0-2 -> 0.4.1-1)
    [2009-11-01 11:25] upgraded libxdamage (1.1.1-2 -> 1.1.2-1)
    [2009-11-01 11:25] upgraded libxdmcp (1.0.2-2 -> 1.0.3-1)
    [2009-11-01 11:25] upgraded libxfont (1.4.0-1 -> 1.4.1-1)
    [2009-11-01 11:25] upgraded libxfontcache (1.0.4-2 -> 1.0.5-1)
    [2009-11-01 11:25] upgraded renderproto (0.9.3-2 -> 0.11-1)
    [2009-11-01 11:25] upgraded libxrender (0.9.4-2 -> 0.9.5-1)
    [2009-11-01 11:25] upgraded libxft (2.1.13-1 -> 2.1.14-1)
    [2009-11-01 11:25] upgraded libxinerama (1.0.99.1-1 -> 1.1-1)
    [2009-11-01 11:25] upgraded libxkbfile (1.0.5-1 -> 1.0.6-1)
    [2009-11-01 11:25] upgraded libxres (1.0.3-2 -> 1.0.4-1)
    [2009-11-01 11:25] upgraded libxvmc (1.0.4-2 -> 1.0.5-1)
    [2009-11-01 11:25] upgraded libxxf86dga (1.1.1-0.1 -> 1.1.1-1)
    [2009-11-01 11:25] upgraded libxxf86misc (1.0.1-2 -> 1.0.2-1)
    [2009-11-01 11:25] upgraded libxxf86vm (1.0.99.1-1 -> 1.1.0-1)
    [2009-11-01 11:25] upgraded live-media (2009.09.28-1 -> 2009.09.28-2)
    [2009-11-01 11:25] upgraded xf86-input-evdev (2.2.5-1 -> 2.3.0-1)
    [2009-11-01 11:25] installed printproto (1.0.4-1)
    [2009-11-01 11:25] installed libxp (1.0.0-3)
    [2009-11-01 11:25] upgraded xorg-server-utils (7.4-7 -> 7.5-2)
    [2009-11-01 11:25] upgraded xorg-server (1.6.3.901-1 -> 1.7.1-1)
    [2009-11-01 11:25] upgraded nvidia-utils (185.18.36-1 -> 190.42-1)
    [2009-11-01 11:25] upgraded mesa (7.5.1-2 -> 7.6-2)
    [2009-11-01 11:25] upgraded mlocate (0.22.2-1 -> 0.22.2-2)
    [2009-11-01 11:25] upgraded nautilus (2.28.0-1 -> 2.28.1-1)
    [2009-11-01 11:25] upgraded nautilus-cd-burner (2.24.0-2 -> 2.25.3-1)
    [2009-11-01 11:25] upgraded ntfs-3g (2009.4.4-1 -> 2009.4.4-2)
    [2009-11-01 11:25] In order to use the new nvidia module, exit Xserver and unload it manually.
    [2009-11-01 11:25] upgraded nvidia (185.18.36-2 -> 190.42-1)
    [2009-11-01 11:25] upgraded popt (1.14-1 -> 1.15-1)
    [2009-11-01 11:25] upgraded python-gdata (1.3.1-1 -> 2.0.4-1)
    [2009-11-01 11:25] upgraded pywebkitgtk (1.1.6-2 -> 1.1.7-1)
    [2009-11-01 11:25] upgraded shared-mime-info (0.70-1 -> 0.70-2)
    [2009-11-01 11:25] upgraded totem (2.28.1-1 -> 2.28.2-1)
    [2009-11-01 11:25] upgraded transmission-gtk (1.75-1 -> 1.76-1)
    [2009-11-01 11:25] upgraded vte (0.22.2-1 -> 0.22.3-1)
    [2009-11-01 11:25] upgraded xorg-apps (7.5-1.1 -> 7.5-2)
    [2009-11-01 11:25] upgraded xorg-font-utils (7.4-3 -> 7.5-2)
    [2009-11-01 11:25] upgraded xorg-fonts-alias (1.0.1-2 -> 1.0.2-1)
    [2009-11-01 11:25] Regenerating font encodings... done.
    [2009-11-01 11:25] upgraded xorg-fonts-encodings (1.0.2-3 -> 1.0.3-1)
    [2009-11-01 11:25] upgraded xorg-utils (7.4-4 -> 7.5-1)
    [2009-11-01 11:25] upgraded xorg-xauth (1.0.3-1 -> 1.0.4-1)
    [2009-11-01 11:25] upgraded xorg-xkb-utils (7.4-2 -> 7.5-1)
    [2009-11-01 11:25] upgraded xterm (246-1 -> 250-1)
    [2009-11-01 13:32] removed libgnomeprintui (2.18.4-1)
    [2009-11-01 13:32] removed libgnomeprint (2.18.6-1)
    [2009-11-05 17:12] synchronizing package lists
    [2009-11-05 17:13] starting full system upgrade
    [2009-11-05 17:18] starting full system upgrade
    [2009-11-05 17:22] upgraded bash (4.0.033-1 -> 4.0.035-1)
    [2009-11-05 17:22] upgraded bluez (4.56-1 -> 4.57-1)
    [2009-11-05 17:22] upgraded curl (7.19.6-2 -> 7.19.7-1)
    [2009-11-05 17:22] upgraded libwebkit (1.1.15.3-1 -> 1.1.15.3-2)
    [2009-11-05 17:22] upgraded epiphany (2.28.1-1 -> 2.28.1-2)
    [2009-11-05 17:22] upgraded gnome-commander (1.2.8.2-1 -> 1.2.8.3-1)
    [2009-11-05 17:22] upgraded libldap (2.4.18-1 -> 2.4.19-1)
    [2009-11-05 17:22] upgraded libnice (0.0.9-1 -> 0.0.10-1)
    [2009-11-05 17:22] upgraded libtheora (1.1.0-1 -> 1.1.1-1)
    [2009-11-05 17:22] upgraded libtiff (3.9.1-1 -> 3.9.2-1)
    [2009-11-05 17:22] upgraded libxi (1.3-1 -> 1.3-2)
    [2009-11-05 17:22] installed tk (8.5.7-1)
    [2009-11-05 17:22] upgraded mercurial (1.3.1-1 -> 1.3.1-3)
    [2009-11-05 17:22] upgraded nspr (4.8-1 -> 4.8.2-1)
    [2009-11-05 17:23] when you use a non-reparenting window manager
    [2009-11-05 17:23] set _JAVA_AWT_WM_NONREPARENTING=1 in
    [2009-11-05 17:23] /etc/profile.d/openjdk6.sh
    [2009-11-05 17:23] upgraded openjdk6 (1.6.1-1 -> 1.6.1-2)
    [2009-11-05 17:23] upgraded pam (1.0.4-2 -> 1.1.0-1)
    [2009-11-05 17:23] upgraded openssh (5.3p1-1 -> 5.3p1-2)
    [2009-11-05 17:23] upgraded pcre (7.9-1 -> 8.00-1)
    [2009-11-05 17:23] installed libpurple (2.6.3-2)
    [2009-11-05 17:23] upgraded pidgin (2.6.3-1 -> 2.6.3-2)
    [2009-11-05 17:23] upgraded sg3_utils (1.27-2 -> 1.28-1)
    [2009-11-05 17:23] upgraded taglib (1.6-1 -> 1.6.1-1)
    [2009-11-05 17:23] upgraded tzdata (2009o-1 -> 2009q-1)
    [2009-11-05 17:23] installed telepathy-glib (0.9.1-1)
    [2009-11-05 17:23] upgraded vinagre (2.28.1-1 -> 2.28.1-2)
    [2009-11-05 17:23] upgraded vino (2.28.1-1 -> 2.28.1-2)
    [2009-11-05 17:23] upgraded wavpack (4.50.1-1 -> 4.60.0-1)
    [2009-11-05 17:23] upgraded xfsprogs (3.0.3-1 -> 3.0.5-1)
    [2009-11-05 17:23] upgraded xorg-server-utils (7.5-2 -> 7.5-3)
    [2009-11-05 17:50] upgraded ardentryst (1.7-1 -> 1.71-1)
    [2009-11-06 13:41] installed finch (2.6.3-2)
    [2009-11-07 08:55] installed tabbed-hg (130-1)
    [2009-11-07 09:03] installed dmenu (4.0-1)
    [2009-11-12 17:11] synchronizing package lists
    [2009-11-12 17:12] starting full system upgrade
    [2009-11-12 17:12] starting full system upgrade
    [2009-11-12 17:17] installed gstreamer0.10-ugly (0.10.13-1)
    [2009-11-12 17:17] installed libmpeg2 (0.5.1-1)
    [2009-11-12 17:17] installed a52dec (0.7.4-4)
    [2009-11-12 17:17] installed libsidplay (1.36.59-3)
    [2009-11-12 17:17] installed gstreamer0.10-ugly-plugins (0.10.13-1)
    [2009-11-12 17:19] synchronizing package lists
    [2009-11-12 17:20] starting full system upgrade
    [2009-11-12 17:21] starting full system upgrade
    [2009-11-12 17:52]
    [2009-11-12 17:52] ==> awesome installation notes:
    [2009-11-12 17:52] ----------------------------------------
    [2009-11-12 17:52] During some updates of awesome, the config file syntax changes heavily.
    [2009-11-12 17:52] This means that your configuration file (~/.config/awesome/rc.lua) for
    [2009-11-12 17:52] any other than this particular version of awesome may or may not work.
    [2009-11-12 17:52]
    [2009-11-12 17:52] upgraded awesome (3.4-1 -> 3.4.1-1)
    [2009-11-12 17:52] upgraded kernel-headers (2.6.31.4-2 -> 2.6.31.5-1)
    [2009-11-12 17:52] warning: /etc/locale.gen installed as /etc/locale.gen.pacnew
    [2009-11-12 17:52] Generating locales...
    [2009-11-12 17:52] en_US.UTF-8... done
    [2009-11-12 17:52] en_US.ISO-8859-1... done
    [2009-11-12 17:52] Generation complete.
    [2009-11-12 17:52] upgraded glibc (2.10.1-5 -> 2.11-1)
    [2009-11-12 17:52] upgraded binutils (2.20-1 -> 2.20-2)
    [2009-11-12 17:52] upgraded brasero (2.28.2-1 -> 2.28.2-2)
    [2009-11-12 17:52] upgraded bzip2 (1.0.5-4 -> 1.0.5-5)
    [2009-11-12 17:52] upgraded devicekit-disks (008-1 -> 009-1)
    [2009-11-12 17:52] upgraded dhcpcd (5.1.1-1 -> 5.1.3-1)
    [2009-11-12 17:52] upgraded libxml2 (2.7.3-3 -> 2.7.6-1)
    [2009-11-12 17:52] upgraded docbook-xml (4.5-2 -> 4.5-3)
    [2009-11-12 17:52] upgraded gcc-libs (4.4.2-2 -> 4.4.2-3)
    [2009-11-12 17:52] upgraded exempi (2.1.0-1 -> 2.1.1-1)
    [2009-11-12 17:52] The package is built using sysv ipc. If this causes segfaults
    [2009-11-12 17:52] see included README file and rebuild the pkg --with-ipc=tcp
    [2009-11-12 17:52] upgraded fakeroot (1.13.1-1 -> 1.14.3-1)
    [2009-11-12 17:52] upgraded filezilla (3.2.8.1-1 -> 3.3.0-1)
    [2009-11-12 17:52] upgraded gnutls (2.8.4-1 -> 2.8.5-1)
    [2009-11-12 17:52] upgraded libpng (1.2.39-1 -> 1.2.40-1)
    [2009-11-12 17:52] upgraded libcups (1.4.1-1 -> 1.4.2-1)
    [2009-11-12 17:52] upgraded gtk2 (2.18.3-1 -> 2.18.3-2)
    [2009-11-12 17:52] upgraded xulrunner (1.9.1.4-1 -> 1.9.1.5-1)
    [2009-11-12 17:52] upgraded firefox (3.5.4-1 -> 3.5.5-1)
    [2009-11-12 17:52] upgraded freetype2 (2.3.9-2 -> 2.3.11-1)
    [2009-11-12 17:52] upgraded fuse (2.8.0-1 -> 2.8.1-1)
    [2009-11-12 17:52] upgraded gcc (4.4.2-2 -> 4.4.2-3)
    [2009-11-12 17:52] upgraded gnome-disk-utility (2.28.0-2 -> 2.28.1-1)
    [2009-11-12 17:52] upgraded gnome-panel (2.28.0-1 -> 2.28.0-2)
    [2009-11-12 17:52] upgraded gnome-python-extras (2.25.3-2 -> 2.25.3-3)
    [2009-11-12 17:52] upgraded gstreamer0.10-good (0.10.16-1 -> 0.10.16-2)
    [2009-11-12 17:52] upgraded hal (0.5.13-2 -> 0.5.13-3)
    [2009-11-12 17:52] upgraded libdv (1.0.0-2 -> 1.0.0-3)
    [2009-11-12 17:52] upgraded libv4l (0.6.0-1 -> 0.6.3-1)
    [2009-11-12 17:52] upgraded gstreamer0.10-good-plugins (0.10.16-1 -> 0.10.16-2)
    [2009-11-12 17:52] upgraded gtkspell (2.0.15-1.1 -> 2.0.16-1)
    [2009-11-12 17:52] upgraded imagemagick (6.5.6.10-1 -> 6.5.7.5-1)
    Edit:
    I noticed, as root I do have sound.. :S
    Last edited by RobinVossen; 11-13-2009 at 08:53 PM.
    New Users, please read this..
    Google first, then ask..

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •